<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$ID = intval($_GET['id']);
if (isset($_GET['id']) && $_GET['id']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm` WHERE `id` = '".intval($_GET['id'])."'"),0)!=0){	
$comm = get_comm($ID);
$set['title']='Форум сообщества '.text($comm['name']).''; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
//======================Начало приватности сообщества===============================//
	if(isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_blacklist` WHERE `id_user` = '$user[id]' AND `id_comm` = '$comm[id]' && (`time_ban` > '$time' OR `navsegda` = '1')"),0)!=0){
	echo'<div class="mess">Вы были забанены ';
	$banned = mysql_fetch_array(mysql_query("SELECT * FROM `comm_blacklist` WHERE `id_user` = '$user[id]' AND `id_comm` = '$comm[id]'"));
	$bancon = mysql_fetch_array(mysql_query("SELECT * FROM `comm_user` WHERE `id_user` = '$banned[id_ban]' AND `id_comm` = '$comm[id]'"));
	if($bancon['level']==1){
		echo 'модератором ';
	}elseif($bancon['level']==2){
		echo 'администратором ';
	}elseif($bancon['level']==3){
		echo 'создателем ';
	}
	echo group($bancon['id_user']);
	echo user::nick($bancon['id_user'],1,1,1);
	if($banned['navsegda']==1){
		echo' навсегда!';
	}else{
		$timefe = $banned['time_ban']-$banned['time'];
		echo ' на ';
		if($timefe>3600){
			$timef = $timefe/3600;
			$timefe = floor($timef);
			
			$timem = $timef-$timefe;
			if($timem==0){
			echo''.$timefe.' часов!';
			}else{
				$timem = round($timem*60);
				echo''.$timefe.' часов '.$timem.' минут!';
			}
		}elseif($timefe<3600){
			$timef = $timefe/60;
			$timefe = round($timef);
			echo''.$timefe.' минут!';
		}
		echo ' <small>';
		echo vremja($banned['time']);
		echo '</small>';
	}
		echo "</div><div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/cat.php?id=$comm[id_category]'>Назад в категорию</a></div>"; 
		include_once '../sys/inc/tfoot.php';
		exit;
	}
	//===========================================//
	if($comm['close']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_comm` = '".intval($comm['id'])."' AND `id_user` = '$user[id]'"),0)==0){
		echo'<div class="mess">Сообщество закрыто для чтения!</div>';
		echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/$comm[id]/'>В сообщество</a></div>";
		include_once '../sys/inc/tfoot.php';
		exit;
	}
	//================Конец приватности сообщества=====================//
$admin = mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_user` = '".intval($user['id'])."' AND `id_comm` = '$ID' AND `level` > '1'"),0);
if ($admin!=0 && isset($user) && isset($_GET['edit']) && $_GET['edit']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_razdel` WHERE `id` = '".intval($_GET['edit'])."' AND `id_comm` = '".intval($ID)."'"),0)!=0){
	$ras = intval($_GET['edit']);
	if(isset($_POST['name']) && isset($_POST['icon']) && isset($_POST['opis']) && isset($_POST['save'])){
		$name = my_esc($_POST['name']);
		if (strlen2($name)>25){ $err[] = "Название содержит более 25 символов"; }
		if (strlen2($name)<3){ $err[] = "Название содержит менее 3 символов"; }
		$mat = antimat($name);
		if ($mat)$err[] = "В названии раздела обнаружен мат: $mat";
		$opis = my_esc($_POST['opis']);
		if (strlen2($opis)>250){ $err[] = "Описание содержит более 250 символов"; }
		if (strlen2($opis)<3){ $err[] = "Описание содержит менее 3 символов"; }
		$mat = antimat($opis);
		if ($mat)$err[] = "В описании раздела обнаружен мат: $mat";
		$icon = my_esc($_POST['icon']);
		err();
		if (!isset($err)){
		mysql_query("UPDATE `comm_forum_razdel` SET `name` = '$name', `opis` = '$opis', `icon` = '$icon' WHERE `id` = '".intval($ras)."' AND `id_comm` = '".intval($ID)."' LIMIT 1");
		$_SESSION['message'] = 'Раздел '.$name.' успешно сохранен';
		header("Location: ?");
		exit;
		}
		
	}
	$razdel = mysql_fetch_array(mysql_query("SELECT * FROM `comm_forum_razdel` WHERE `id` = '".intval($ras)."' AND `id_comm` = '".intval($ID)."' LIMIT 1"));
	echo "<form method=\"post\" name='save_cat' action=\"?edit=$ras\">";
	echo "Название раздела:<br />\n";
	echo "<input name=\"name\" type=\"text\" maxlength='32' value='$razdel[name]' /><br />\n";
	$icon=array();
	$opendiricon=opendir(H.'comm/forum');
	while ($icons=readdir($opendiricon))
	{
	if (preg_match('#^\.|default.png#',$icons))continue;
	$icon[]=$icons;
	}
	closedir($opendiricon);
	echo "Иконка:<br />\n";
	echo "<select name='icon'>\n";
	echo "<option value='default.png'>По умолчанию</option>\n";
	for ($i=0;$i<sizeof($icon);$i++)
	{
	echo "<option value='$icon[$i]'".($razdel['icon']==$icon[$i]?" selected='selected'":null).">$icon[$i]</option>\n";
	}
	echo "</select><br />\n";
	echo "Описание:$tPanel<textarea name=\"opis\">$razdel[opis]</textarea><br />\n";
	echo "<input name=\"save\" value=\"Сохранить\" type=\"submit\" /><br />\n";
	echo "</form>\n";
	echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?'>Назад</a></div>";
	include_once '../sys/inc/tfoot.php';
	exit;
}

if ($admin!=0 && isset($user) && isset($_GET['delete']) && $_GET['delete']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_razdel` WHERE `id` = '".intval($_GET['delete'])."' AND `id_comm` = '".intval($ID)."'"),0)!=0){
	$ras = intval($_GET['delete']);
	if (isset($_POST['delete']))
	{
		mysql_query("DELETE FROM `comm_forum_razdel` WHERE `id` = '$ras' AND `id_comm` = '".intval($ID)."'");
		$_SESSION['message'] = 'Раздел успешно удален';
		header("Location: ?");
		exit;
	}
	$razdel = mysql_fetch_array(mysql_query("SELECT * FROM `comm_forum_razdel` WHERE `id` = '".intval($ras)."' AND `id_comm` = '".intval($ID)."' LIMIT 1"));	
	echo "<form method=\"post\" name='cat' action=\"?delete=$ras\" class=\"mess\">";
	echo "Вы действительно хотите удалить раздел ".text($razdel['name'])."?<br />\n";
	echo "<input name=\"delete\" value=\"Удалить\" type=\"submit\" /><br />\n";
	echo "</form>\n";
	echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?'>Назад</a></div>";
	include_once '../sys/inc/tfoot.php';
	exit;
}
if ($admin!=0 && isset($user) && isset($_GET['act']) && $_GET['act']=='add'){
	if(isset($_POST['name']) && isset($_POST['icon']) && isset($_POST['opis']) && isset($_POST['create'])){
		$name = my_esc($_POST['name']);
		if (strlen2($name)>25){ $err[] = "Название содержит более 25 символов"; }
		if (strlen2($name)<3){ $err[] = "Название содержит менее 3 символов"; }
		$mat = antimat($name);
		if ($mat)$err[] = "В названии раздела обнаружен мат: $mat";
		$opis = my_esc($_POST['opis']);
		if (strlen2($opis)>250){ $err[] = "Описание содержит более 250 символов"; }
		if (strlen2($opis)<3){ $err[] = "Описание содержит менее 3 символов"; }
		$mat = antimat($opis);
		if ($mat)$err[] = "В описании раздела обнаружен мат: $mat";
		$icon = my_esc($_POST['icon']);
		err();
		if (!isset($err)){
		mysql_query("INSERT INTO `comm_forum_razdel` (`name`, `opis`, `id_comm`, `icon`) values('$name', '$opis', '$ID', '$icon')");
		$_SESSION['message'] = 'Раздел '.$name.' успешно создан';
		header("Location: ?");
		exit;
		}
		
	}
	echo "<form method=\"post\" name='create_cat' action=\"?act=add\">";
	echo "Название раздела:<br />\n";
	echo "<input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
	$icon=array();
	$opendiricon=opendir(H.'comm/forum');
	while ($icons=readdir($opendiricon))
	{
	if (preg_match('#^\.|default.png#',$icons))continue;
	$icon[]=$icons;
	}
	closedir($opendiricon);
	echo "Иконка:<br />\n";
	echo "<select name='icon'>\n";
	echo "<option value='default.png'>По умолчанию</option>\n";
	for ($i=0;$i<sizeof($icon);$i++)
	{
	echo "<option value='$icon[$i]'>$icon[$i]</option>\n";
	}
	echo "</select><br />\n";
	echo "Описание:$tPanel<textarea name=\"opis\"></textarea><br />\n";
	echo "<input name=\"create\" value=\"Создать\" type=\"submit\" /><br />\n";
	echo "</form>\n";
	echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?'>Назад</a></div>";
	include_once '../sys/inc/tfoot.php';
	exit;
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_razdel` WHERE `id_comm` = '".intval($ID)."'"),0);
if ($k_post == 0)
{
	echo '<div class="mess" id="no_object">';
	echo 'Нет разделов';
	echo '</div>';
}
$q = mysql_query("SELECT * FROM `comm_forum_razdel` WHERE `id_comm` = '".intval($ID)."' ORDER BY `id` DESC");
while ($post = mysql_fetch_assoc($q))
{
	// Лесенка
	echo '<div class="' . ($num % 2 ? "nav1" : "nav2") . '">';
	$num++;
	echo'<img src="/comm/forum/'.$post['icon'].'" alt="'.$post['icon'].'"/> <a href="/comm/forumcat/'.$post['id'].'/">'.text($post['name']).'</a><br />'.output_text($post['opis']).'';
	$them = mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_theme` WHERE `time`>'$ftime' AND `id_razdel` = '$post[id]'"),0);
if ($them==0)$them=NULL;
else $them='+'.$them;
echo ' ('.mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_post` WHERE `id_razdel` = '$post[id]'"),0).'/'.mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_theme` WHERE `id_razdel` = '$post[id]'"),0).') <font color="red">'.$them.'</font>';
	if ($admin!=0 && isset($user)){
		echo' <a href="?edit='.$post['id'].'"><img src="/style/icons/edit.gif" alt="edit"/></a><a href="?delete='.$post['id'].'"><img src="/style/icons/delete.gif" alt="delete"/></a>';
	}
	echo'</div>';
}
if ($admin!=0 && isset($user)){
	echo '<div class="foot">';
	echo '<img src="/style/icons/ok.gif" alt="*" />  <a href="?act=add">Создать раздел</a><br />';	
	echo '</div>';
}
echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/$ID/'>В сообщество</a></div>";
}else{
	header("Location: /");
}
include_once '../sys/inc/tfoot.php';
?>